> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete DID

> Delete a DID by ID



## OpenAPI

````yaml /openapi.json delete /did/{id}
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /did/{id}:
    delete:
      tags:
        - DID
      summary: Delete DID
      description: Delete a DID by ID
      operationId: deleteDid
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '204':
          description: DID deleted successfully

````